use "$path\section_3_1.dta", clear

cap postclose results
postfile results  str10 group str10 model chage raw_b raw_se cons str3 variable child age age2 Nid N Nbirths using "$patho\data_fig1_2", replace
foreach v in n10 n13 n14 n15 {
	forvalues ch =  1/3 {
		est use "$path/SUPM`v'`ch'a"
		sum age0_`ch' if sampleSUPM`v'`ch'==1 & age0_`ch'==1
		post results ("men") ("M`v'`a'") (-4) (0) (0) (_b[_cons]) ("`v'") (`ch') (_b[ageC]) (_b[ageC2]) (e(N_clust)) (e(N)) (r(N))
		foreach n in 3 2 1 {
			loc n2 = -1 * `n' 
			post results ("men") ("M`v'`a'") (`n2') (_b[agem`n'_`ch']) (_se[agem`n'_`ch']) (_b[_cons]) ("`v'") (`ch') (_b[ageC]) (_b[ageC2]) (e(N_clust)) (e(N)) (r(N))
		}
		forvalues n = 0/12 {
			post results ("men") ("M`v'`a'") (`n') (_b[age`n'_`ch']) (_se[age`n'_`ch']) (_b[_cons]) ("`v'") (`ch')  (_b[ageC]) (_b[ageC2]) (e(N_clust)) (e(N)) (r(N))
		}
	}	
	*
	forvalues ch =  1/3 {
		est use "$path/SUPW`v'`ch'a"
		sum age0_`ch' if sampleSUPM`v'`ch'==1 & age0_`ch'==1
		post results ("women") ("W`v'`a'") (-4) (0) (0) (_b[_cons]) ("`v'") (`ch') (_b[ageC]) (_b[ageC2]) (e(N_clust)) (e(N)) (r(N))
		foreach n in 3 2 1 {
			loc n2 = -1 * `n' 
			post results ("women") ("W`v'`a'") (`n2') (_b[agem`n'_`ch']) (_se[agem`n'_`ch']) (_b[_cons]) ("`v'") (`ch') (_b[ageC]) (_b[ageC2]) (e(N_clust)) (e(N)) (r(N))
		}
		forvalues n = 0/12 {
			post results ("women") ("W`v'`a'") (`n') (_b[age`n'_`ch']) (_se[age`n'_`ch']) (_b[_cons]) ("`v'") (`ch') (_b[ageC]) (_b[ageC2]) (e(N_clust)) (e(N)) (r(N))
		}
	}
}	
postclose results
