use "$path\intermediateBID.dta", clear

cap postclose results
postfile results str10 group str10 model chage raw_b raw_se sup_b sup_se int_b int_se child Nid N Nbirths using "$patho\data_fig_3_6", replace
foreach v in n10 n13 n14 n15 {
	forvalues ch =  1/3 {
		sum age0_`ch' if sampleBIDM`v'`ch'==1 & age0_`ch'==1
		foreach n in 3 2 1 {
			est use "$path/BIDM`v'`ch'int"
			post results ("men") ("M`v'") (-4) (0) (0) (0) (0) (0) (0) (`ch') (e(N_clust)) (e(N)) (r(N))
			loc intb = _b[1.agem`n'_`ch'#1.Hsupportnew]
			loc intse = _se[1.agem`n'_`ch'#1.Hsupportnew]
			est use "$path/BIDM`v'`ch'"
			loc n2 = -1 * `n' 
			post results ("men") ("M`v'") (`n2') (_b[agem`n'_`ch'0Hsupportnew]) (_se[agem`n'_`ch'0Hsupportnew]) ///
			(_b[agem`n'_`ch'1Hsupportnew]) (_se[agem`n'_`ch'1Hsupportnew]) (`intb') (`intse') (`ch') (e(N_clust)) (e(N)) (r(N))

		}
		forvalues n = 0/12 {
			est use "$path/BIDM`v'`ch'int"
			loc intb = _b[1.age`n'_`ch'#1.Hsupportnew]
			loc intse = _se[1.age`n'_`ch'#1.Hsupportnew]
			est use "$path/BIDM`v'`ch'"
			post results ("men") ("M`v'") (`n') (_b[age`n'_`ch'0Hsupportnew]) (_se[age`n'_`ch'0Hsupportnew]) ///
			(_b[age`n'_`ch'1Hsupportnew]) (_se[age`n'_`ch'1Hsupportnew]) (`intb') (`intse') (`ch') (e(N_clust)) (e(N)) (r(N))

		}
	}	
	*
	forvalues ch =  1/3 {
		sum age0_`ch' if sampleBIDW`v'`ch'==1 & age0_`ch'==1
		foreach n in 3 2 1 {
			est use "$path/BIDW`v'`ch'int"
			post results ("women") ("W`v'") (-4) (0) (0) (0) (0) (0) (0) (`ch') (e(N_clust)) (e(N)) (r(N))
			loc intb = _b[1.agem`n'_`ch'#1.Hsupportnew]
			loc intse = _se[1.agem`n'_`ch'#1.Hsupportnew]
			est use "$path/BIDW`v'`ch'"
			loc n2 = -1 * `n' 
			post results ("women") ("W`v'") (`n2') (_b[agem`n'_`ch'0Hsupportnew]) (_se[agem`n'_`ch'0Hsupportnew]) ///
			(_b[agem`n'_`ch'1Hsupportnew]) (_se[agem`n'_`ch'1Hsupportnew]) (`intb') (`intse') (`ch') (e(N_clust)) (e(N)) (r(N))

		}
		forvalues n = 0/12 {
			est use "$path/BIDW`v'`ch'int"
			loc intb = _b[1.age`n'_`ch'#1.Hsupportnew]
			loc intse = _se[1.age`n'_`ch'#1.Hsupportnew]
			est use "$path/BIDW`v'`ch'"
			post results ("women") ("W`v'") (`n') (_b[age`n'_`ch'0Hsupportnew]) (_se[age`n'_`ch'0Hsupportnew]) ///
			(_b[age`n'_`ch'1Hsupportnew]) (_se[age`n'_`ch'1Hsupportnew]) (`intb') (`intse') (`ch') (e(N_clust)) (e(N)) (r(N))

		}
	}	
}	
postclose results
