
loc control1 " "
foreach i in 2 3 4 { 
	loc control1 `control1' 1.other0_`i' 1.other0_`i'#1.Hsupportnew 1.other_`i' 1.other_`i'#1.Hsupportnew 
}	
loc control2 " "
foreach i in 1 3 4 5 { 
	loc control2 `control2' 1.other0_`i' 1.other0_`i'#1.Hsupportnew 1.other_`i' 1.other_`i'#1.Hsupportnew 
}	
loc control3 " "
foreach i in 1 2 4 5 { 
	loc control3 `control3' 1.other0_`i' 1.other0_`i'#1.Hsupportnew 1.other_`i' 1.other_`i'#1.Hsupportnew 
}	
foreach ch in 1 2 3 {
	loc agein  "  "
	foreach y in 3 2 1 {
		loc agein " `agein' 1.agem`y'_`ch'  1.agem`y'_`ch'#1.Hsupportnew "	
	}
	forvalues y = 0/12 {
		loc agein " `agein' 1.age`y'_`ch'  1.age`y'_`ch'#1.Hsupportnew "
	}
	display "`agein'"
	loc controls " ageC ageC2 single div_sep divorce marriage widowed c02C eqsnRC unempl  sup_partner sup_neighbors sup_colleagues sup_friends wave2_3 wave4_6 wave10_12 "
	esttab BIDWn10`ch'int BIDWn13`ch'int BIDWn14`ch'int BIDWn15`ch'int BIDMn10`ch'int BIDMn13`ch'int BIDMn14`ch'int BIDMn15`ch'int using $patho\tables7_9_child`ch'.tex , ///
					nodepvars nomtitles nonumbers replace ///
					label  b(%9.2f) star(+ 0.10 * 0.05 *** .001) p(%9.3f) staraux   ///
					keep(`agein'  `control`ch'' `controls') order(`agein'  `control`ch'' `controls') ///
					ar2  scalars("N_g N(id)")  obslast  sfmt(%9.0f) ///
					fragment ///
					varlabel(	1.age12_`ch' "12 years old" 1.age11_`ch' "11 years old" 1.age10_`ch' "10 years old" ///
								1.age9_`ch' "9 years old" 1.age8_`ch' "8 years old" 1.age7_`ch' "7 years old" 1.age6_`ch' "6 years old" ///
								1.age5_`ch' "5 years old" 1.age4_`ch' "4 years old" 1.age3_`ch' "3 years old" 1.age2_`ch' "2 years old" ///
								1.age1_`ch' "1 years old" 1.age0_`ch' "birth" 1.agem1_`ch' "1 year before birth"  ///
								1.agem2_`ch' "2 years before birth" 1.agem3_`ch' "3 years before birth" 1.agem4_`ch' "4 years before birth" ///
								///
								1.age12_`ch'#1.Hsupportnew "12 years old x strong relationships" 1.age11_`ch'#1.Hsupportnew "11 years old x strong relationships" ///
								1.age10_`ch'#1.Hsupportnew "10 years old x strong relationships" 1.age9_`ch'#1.Hsupportnew "9 years old x strong relationships" ///
								1.age8_`ch'#1.Hsupportnew "8 years old x strong relationships" 1.age7_`ch'#1.Hsupportnew "7 years old x strong relationships" ///
								1.age6_`ch'#1.Hsupportnew "6 years old x strong relationships" 1.age5_`ch'#1.Hsupportnew "5 years old x strong relationships" ///
								1.age4_`ch'#1.Hsupportnew "4 years old x strong relationships" 1.age3_`ch'#1.Hsupportnew "3 years old x strong relationships" ///
								1.age2_`ch'#1.Hsupportnew "2 years old x strong relationships" 1.age1_`ch'#1.Hsupportnew "1 years old x strong relationships" ///
								1.age0_`ch'#1.Hsupportnew "birth x strong relationships" 1.agem1_`ch'#1.Hsupportnew "1 year before birth x strong rel." ///
								1.agem2_`ch'#1.Hsupportnew "2 years before birth x strong rel." ///
								1.agem3_`ch'#1.Hsupportnew "3 years before birth x strong rel." ///
								1.agem4_`ch'#1.Hsupportnew "4 years before birth x strong rel." ///
								///
								sup_partner "support from partner" sup_neighbors "support from neighbors" ///
								sup_colleagues "support from colleages" sup_friends "support from friends" ///
								ageC "age" ageC2 "\multicolumn{1}{l}{age$^2$}" single "never married" div_sep "divorced or separated" ///
								divorce "year of divorce" marriage "year of marriage" c02C "health satisfaction" eqsnRC "household income" ///
								unempl "unemployed" wave2_3 "waves 2-3" wave4_6 "waves 4-6" wave10_12 "waves 10-12"  ///
								///
								1.other0_1 "birth: 1st child" 1.other_1 "1st child present" ///
								1.other0_2 "birth: 2nd child" 1.other_2 "2nd child present" /// 
								1.other0_3 "birth: 3rd child" 1.other_3 "3rd child present" ///
								1.other0_4 "birth: 4th child" 1.other_4 "4th child present" ///
								1.other0_5 "birth: 5th child" 1.other_5 "5th child present" ///
								///
								1.other0_1#1.Hsupportnew "birth: 1st child x strong rel." 1.other_1#1.Hsupportnew "1st child present x strong rel." ///
								1.other0_2#1.Hsupportnew "birth: 2nd child x strong rel." 1.other_2#1.Hsupportnew "2nd child present x strong rel." /// 
								1.other0_3#1.Hsupportnew "birth: 3rd child x strong rel." 1.other_3#1.Hsupportnew "3rd child present x strong rel." ///
								1.other0_4#1.Hsupportnew "birth: 4th child x strong rel." 1.other_4#1.Hsupportnew "4th child present x strong rel." ///
								1.other0_5#1.Hsupportnew "birth: 5th child x strong rel." 1.other_5#1.Hsupportnew "5th child present x strong rel." ///
								1o.other0_5#1.Hsupportnew "birth: 5th child x strong rel." 1o.other_5#1.Hsupportnew "5th child present x strong rel.")
}																
